
package projet.referentiel.doc;

import javax.ejb.Remote;
import javax.ejb.Remove;
import javax.ejb.Stateful;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import javax.persistence.NamedQuery;


@Stateful
@Remote(GestDocRemote.class)
public class GestDocBean implements GestDocRemote,java.io.Serializable
{
   @PersistenceContext
   private EntityManager manager;
   
   
   public void creer_doc(String nom, String contenu)
   {
   Document d=null;
   

   	//faire une recherche pour savoir si le document existe
	d = manager.find(Document.class,nom);
	if (d==null)
	{
		d=new Document (nom, contenu);
		System.out.println("Cration russite!");
	   	manager.persist(d);
	}
	else 	
	System.out.println("Le document existe dj!");

   }
public String lire_doc(String nom)
   {
   Document d=null;
   

   	//faire une recherche pour savoir si le document existe
	d = manager.find(Document.class,nom);
	if (d==null)
	{
		System.out.println("N'existe pas!");
		return null;
	}
	else 	
		return d.getContent();
   }

public void remove_doc(String nom){
 Document d=null;
   

   	//faire une recherche pour savoir si le document existe
	d = manager.find(Document.class,nom);
	if (d==null)
	{
		System.out.println("N'existe pas!");
	}
	else 	
		manager.remove(d);
   
}
   public String Affich()
   {
   	

   	String s="";
   	java.util.List <Document>  list=null;
   	try{
   	 list=manager.createQuery("SELECT OBJECT(doc) FROM Document doc").getResultList();
   	   }catch (Exception e){System.out.println("erreur2 :: "+e.toString());}
   	for (int i=0;i<list.size();i++)
   	{
   		try{
   		Document document=(Document) list.get(i);
   		s+=("Nom :: "+document.getName()+"\n");
   		s+=("Contenu :: "+document.getContent()+"\n");
   	   		}catch (Exception e){System.out.println("erreur3 :: "+e.toString());}
   	}
   	
   	return s;
   }
   
}
